<Project Sdk="Microsoft.NET.Sdk">

    <PropertyGroup>
        <OutputType>Exe</OutputType>
        <TargetFramework>netcoreapp3.1</TargetFramework>
        <GenerateProgramFile>false</GenerateProgramFile>
        <RootNamespace>Vrange</RootNamespace>
        <TrimUnusedDependencies>true</TrimUnusedDependencies>
        <InvariantGlobalization>true</InvariantGlobalization>
    </PropertyGroup>

    <ItemGroup>
      <PackageReference Include="Newtonsoft.Json" Version="12.0.3" />
      <PackageReference Include="NuGet.Versioning" Version="5.7.0-rtm.6702" />
      <PackageReference Include="Microsoft.Packaging.Tools.Trimming" Version="1.1.0-preview1-26619-01" />
    </ItemGroup>

    <ItemGroup>
      <Folder Include="Resources" />
    </ItemGroup>

    <Target Name="RemoveDirectories" AfterTargets="Clean">
        <RemoveDir Directories="bin\;obj\" />
    </Target>

</Project>
